<template>
  <div class="app-container">
    <el-card shadow="always" style="width: 55%; margin: 0 auto">
      <ExpertForm
        v-model="form"
        :isAdd="false"
        :labelWidth="labelWidth"
        ref="expertForm"
      />
      <div :style="{ marginLeft: labelWidth + 'px' }">
        <el-button @click="$router.go(-1)">取消</el-button>
        <el-button type="primary" @click="submitForm">提交</el-button>
      </div>
    </el-card>
  </div>
</template>
<script setup>
import { expert } from "@/api/identity/index";
import ExpertForm from "./components/ExpertForm";
const { proxy } = getCurrentInstance();
const labelWidth = 140;
const form = reactive({
  laboratory_id: undefined, // 所属实验室
  gender: 1,
});
function submitForm(status) {
  if (proxy.$refs.expertForm.submitForm()) {
    expert(form).then((res) => {
      proxy.$modal.msgSuccess("新增成功");
      proxy.$router.go(-1);
    });
  } else {
    console.log("校验未通过");
  }
}
</script>